=== modified file 'drizzled/item/cmpfunc.cc'
--- drizzled/item/cmpfunc.cc	2008-11-18 22:12:56 +0000
+++ drizzled/item/cmpfunc.cc	2008-12-05 07:03:50 +0000
@@ -825,10 +825,9 @@
 */
 
 uint64_t
-get_time_value(Session *session __attribute__((unused)),
+get_time_value(Session *,
                Item ***item_arg, Item **cache_arg,
-               Item *warn_item __attribute__((unused)),
-               bool *is_null)
+               Item *, bool *is_null)
 {
   uint64_t value;
   Item *item= **item_arg;
@@ -1487,7 +1486,7 @@
 }
 
 
-bool Item_in_optimizer::fix_left(Session *session, Item **ref __attribute__((unused)))
+bool Item_in_optimizer::fix_left(Session *session, Item **)
 {
   if ((!args[0]->fixed && args[0]->fix_fields(session, args)) ||
       (!cache && !(cache= Item_cache::get_cache(args[0]))))
@@ -2596,7 +2595,7 @@
            failed
 */
 
-Item *Item_func_case::find_item(String *str __attribute__((unused)))
+Item *Item_func_case::find_item(String *)
 {
   uint32_t value_added_map= 0;
 
@@ -3046,9 +3045,8 @@
     0           left argument is equal to the right argument.
     1           left argument is greater than the right argument.
 */
-int cmp_int64_t(void *cmp_arg __attribute__((unused)),
-                 in_int64_t::packed_int64_t *a,
-                 in_int64_t::packed_int64_t *b)
+int cmp_int64_t(void *, in_int64_t::packed_int64_t *a,
+                in_int64_t::packed_int64_t *b)
 {
   if (a->unsigned_flag != b->unsigned_flag)
   { 
@@ -3071,18 +3069,18 @@
     return cmp_longs (a->val, b->val);
 }
 
-static int cmp_double(void *cmp_arg __attribute__((unused)), double *a,double *b)
+static int cmp_double(void *, double *a, double *b)
 {
   return *a < *b ? -1 : *a == *b ? 0 : 1;
 }
 
-static int cmp_row(void *cmp_arg __attribute__((unused)), cmp_item_row *a, cmp_item_row *b)
+static int cmp_row(void *, cmp_item_row *a, cmp_item_row *b)
 {
   return a->compare(b);
 }
 
 
-static int cmp_decimal(void *cmp_arg __attribute__((unused)), my_decimal *a, my_decimal *b)
+static int cmp_decimal(void *, my_decimal *a, my_decimal *b)
 {
   /*
     We need call of fixing buffer pointer, because fast sort just copy
@@ -3159,7 +3157,7 @@
   return (unsigned char*) item->val_str(&tmp);
 }
 
-in_row::in_row(uint32_t elements, Item * item __attribute__((unused)))
+in_row::in_row(uint32_t elements, Item *)
 {
   base= (char*) new cmp_item_row[count= elements];
   size= sizeof(cmp_item_row);
@@ -3914,7 +3912,7 @@
 
 
 bool
-Item_cond::fix_fields(Session *session, Item **ref __attribute__((unused)))
+Item_cond::fix_fields(Session *session, Item **)
 {
   assert(fixed == 0);
   List_iterator<Item> li(list);
@@ -3991,7 +3989,7 @@
 }
 
 
-void Item_cond::fix_after_pullout(st_select_lex *new_parent, Item **ref __attribute__((unused)))
+void Item_cond::fix_after_pullout(st_select_lex *new_parent, Item **)
 {
   List_iterator<Item> li(list);
   Item *item;
@@ -4834,13 +4832,13 @@
     NULL if we cannot apply NOT transformation (see Item::neg_transformer()).
 */
 
-Item *Item_func_not::neg_transformer(Session *session __attribute__((unused)))	/* NOT(x)  ->  x */
+Item *Item_func_not::neg_transformer(Session *)	/* NOT(x)  ->  x */
 {
   return args[0];
 }
 
 
-Item *Item_bool_rowready_func2::neg_transformer(Session *session __attribute__((unused)))
+Item *Item_bool_rowready_func2::neg_transformer(Session *)
 {
   Item *item= negated_item();
   return item;
@@ -4850,7 +4848,7 @@
 /**
   a IS NULL  ->  a IS NOT NULL.
 */
-Item *Item_func_isnull::neg_transformer(Session *session __attribute__((unused)))
+Item *Item_func_isnull::neg_transformer(Session *)
 {
   Item *item= new Item_func_isnotnull(args[0]);
   return item;
@@ -4860,7 +4858,7 @@
 /**
   a IS NOT NULL  ->  a IS NULL.
 */
-Item *Item_func_isnotnull::neg_transformer(Session *session __attribute__((unused)))
+Item *Item_func_isnotnull::neg_transformer(Session *)
 {
   Item *item= new Item_func_isnull(args[0]);
   return item;
@@ -4885,7 +4883,7 @@
 }
 
 
-Item *Item_func_nop_all::neg_transformer(Session *session __attribute__((unused)))
+Item *Item_func_nop_all::neg_transformer(Session *)
 {
   /* "NOT (e $cmp$ ANY (SELECT ...)) -> e $rev_cmp$" ALL (SELECT ...) */
   Item_func_not_all *new_item= new Item_func_not_all(args[0]);
@@ -4896,7 +4894,7 @@
   return new_item;
 }
 
-Item *Item_func_not_all::neg_transformer(Session *session __attribute__((unused)))
+Item *Item_func_not_all::neg_transformer(Session *)
 {
   /* "NOT (e $cmp$ ALL (SELECT ...)) -> e $rev_cmp$" ANY (SELECT ...) */
   Item_func_nop_all *new_item= new Item_func_nop_all(args[0]);
@@ -5136,7 +5134,7 @@
   }
 }
 
-bool Item_equal::fix_fields(Session *session __attribute__((unused)), Item **ref __attribute__((unused)))
+bool Item_equal::fix_fields(Session *, Item **)
 {
   List_iterator_fast<Item_field> li(fields);
   Item *item;

=== modified file 'storage/archive/ha_archive.cc'
--- storage/archive/ha_archive.cc	2008-11-19 08:07:10 +0000
+++ storage/archive/ha_archive.cc	2008-12-05 07:03:50 +0000
@@ -133,8 +133,7 @@
 /*
   Used for hash table that tracks open tables.
 */
-static unsigned char* archive_get_key(ARCHIVE_SHARE *share, size_t *length,
-                             bool not_used __attribute__((unused)))
+static unsigned char* archive_get_key(ARCHIVE_SHARE *share, size_t *length, bool)
 {
   *length=share->table_name_length;
   return (unsigned char*) share->table_name;
@@ -192,7 +191,7 @@
     false       OK
 */
 
-int archive_db_done(void *p __attribute__((unused)))
+int archive_db_done(void *)
 {
   hash_free(&archive_open_tables);
   pthread_mutex_destroy(&archive_mutex);
@@ -212,8 +211,7 @@
   archive_reader_open= false;
 }
 
-int archive_discover(handlerton *hton __attribute__((unused)),
-                     Session* session __attribute__((unused)),
+int archive_discover(handlerton *, Session *,
                      const char *db,
                      const char *name,
                      unsigned char **frmblob,
@@ -458,9 +456,7 @@
   Init out lock.
   We open the file we will read from.
 */
-int ha_archive::open(const char *name,
-                     int mode __attribute__((unused)),
-                     uint32_t open_options)
+int ha_archive::open(const char *name, int, uint32_t open_options)
 {
   int rc= 0;
   share= get_share(name, &rc);
@@ -686,7 +682,7 @@
   the bytes required for the length in the header.
 */
 
-uint32_t ha_archive::max_row_length(const unsigned char *buf __attribute__((unused)))
+uint32_t ha_archive::max_row_length(const unsigned char *)
 {
   uint32_t length= (uint32_t)(table->getRecordLength() + table->sizeFields()*2);
   length+= ARCHIVE_ROW_HEADER_SIZE;
@@ -837,18 +833,15 @@
 }
 
 
-void ha_archive::get_auto_increment(uint64_t offset __attribute__((unused)),
-                                    uint64_t increment __attribute__((unused)),
-                                    uint64_t nb_desired_values __attribute__((unused)),
-                                    uint64_t *first_value __attribute__((unused)),
-                                    uint64_t *nb_reserved_values __attribute__((unused)))
+void ha_archive::get_auto_increment(uint64_t, uint64_t, uint64_t,
+                                    uint64_t *first_value, uint64_t *nb_reserved_values)
 {
   *nb_reserved_values= UINT64_MAX;
   *first_value= share->archive_write.auto_increment + 1;
 }
 
 /* Initialized at each key walk (called multiple times unlike rnd_init()) */
-int ha_archive::index_init(uint32_t keynr, bool sorted __attribute__((unused)))
+int ha_archive::index_init(uint32_t keynr, bool)
 {
   active_index= keynr;
   return(0);
@@ -869,8 +862,7 @@
 
 
 int ha_archive::index_read_idx(unsigned char *buf, uint32_t index, const unsigned char *key,
-                               uint32_t key_len,
-                               enum ha_rkey_function find_flag __attribute__((unused)))
+                               uint32_t key_len, enum ha_rkey_function)
 {
   int rc;
   bool found= 0;
@@ -1046,7 +1038,7 @@
   needed.
 */
 
-void ha_archive::position(const unsigned char *record __attribute__((unused)))
+void ha_archive::position(const unsigned char *)
 {
   my_store_ptr(ref, ref_length, current_position);
   return;
@@ -1090,8 +1082,7 @@
   The table can become fragmented if data was inserted, read, and then
   inserted again. What we do is open up the file and recompress it completely. 
 */
-int ha_archive::optimize(Session* session __attribute__((unused)),
-                         HA_CHECK_OPT* check_opt __attribute__((unused)))
+int ha_archive::optimize(Session *, HA_CHECK_OPT *)
 {
   int rc= 0;
   azio_stream writer;
@@ -1360,8 +1351,7 @@
   Simple scan of the tables to make sure everything is ok.
 */
 
-int ha_archive::check(Session* session,
-                      HA_CHECK_OPT* check_opt __attribute__((unused)))
+int ha_archive::check(Session* session, HA_CHECK_OPT *)
 {
   int rc= 0;
   const char *old_proc_info;

=== modified file 'storage/archive/ha_archive.h'
--- storage/archive/ha_archive.h	2008-11-18 22:12:56 +0000
+++ storage/archive/ha_archive.h	2008-12-05 07:03:50 +0000
@@ -85,7 +85,7 @@
   {
   }
   const char *table_type() const { return "ARCHIVE"; }
-  const char *index_type(uint32_t inx __attribute__((unused)))
+  const char *index_type(uint32_t)
   { return "NONE"; }
   const char **bas_ext() const;
   uint64_t table_flags() const
@@ -96,16 +96,12 @@
             HA_HAS_RECORDS |
             HA_FILE_BASED);
   }
-  uint32_t index_flags(uint32_t idx __attribute__((unused)),
-                       uint32_t part __attribute__((unused)),
-                       bool all_parts __attribute__((unused))) const
+  uint32_t index_flags(uint32_t, uint32_t, bool) const
   {
     return HA_ONLY_WHOLE_INDEX;
   }
-  virtual void get_auto_increment(uint64_t offset, uint64_t increment,
-                                  uint64_t nb_desired_values,
-                                  uint64_t *first_value,
-                                  uint64_t *nb_reserved_values);
+  void get_auto_increment(uint64_t, uint64_t, uint64_t,
+                          uint64_t *first_value, uint64_t *nb_reserved_values);
   uint32_t max_supported_keys()          const { return 1; }
   uint32_t max_supported_key_length()    const { return sizeof(uint64_t); }
   uint32_t max_supported_key_part_length() const { return sizeof(uint64_t); }

=== modified file 'storage/blackhole/ha_blackhole.cc'
--- storage/blackhole/ha_blackhole.cc	2008-11-18 22:12:56 +0000
+++ storage/blackhole/ha_blackhole.cc	2008-12-05 07:03:50 +0000
@@ -62,8 +62,7 @@
           HA_READ_ORDER | HA_KEYREAD_ONLY);
 }
 
-int ha_blackhole::open(const char *name, int mode __attribute__((unused)),
-                       uint32_t test_if_locked __attribute__((unused)))
+int ha_blackhole::open(const char *name, int, uint32_t)
 {
   if (!(share= get_share(name)))
     return(HA_ERR_OUT_OF_MEM);
@@ -78,44 +77,41 @@
   return(0);
 }
 
-int ha_blackhole::create(const char *name __attribute__((unused)),
-                         Table *table_arg __attribute__((unused)),
-                         HA_CREATE_INFO *create_info __attribute__((unused)))
+int ha_blackhole::create(const char *, Table *, HA_CREATE_INFO *)
 {
   return(0);
 }
 
-const char *ha_blackhole::index_type(uint32_t key_number __attribute__((unused)))
+const char *ha_blackhole::index_type(uint32_t)
 {
   return("BTREE");
 }
 
-int ha_blackhole::write_row(unsigned char * buf __attribute__((unused)))
+int ha_blackhole::write_row(unsigned char *)
 {
   return(table->next_number_field ? update_auto_increment() : 0);
 }
 
-int ha_blackhole::rnd_init(bool scan __attribute__((unused)))
+int ha_blackhole::rnd_init(bool)
 {
   return(0);
 }
 
 
-int ha_blackhole::rnd_next(unsigned char *buf __attribute__((unused)))
+int ha_blackhole::rnd_next(unsigned char *)
 {
   return(HA_ERR_END_OF_FILE);
 }
 
 
-int ha_blackhole::rnd_pos(unsigned char * buf __attribute__((unused)),
-                          unsigned char *pos __attribute__((unused)))
+int ha_blackhole::rnd_pos(unsigned char *, unsigned char *)
 {
   assert(0);
   return(0);
 }
 
 
-void ha_blackhole::position(const unsigned char *record __attribute__((unused)))
+void ha_blackhole::position(const unsigned char *)
 {
   assert(0);
   return;
@@ -130,8 +126,7 @@
   return(0);
 }
 
-int ha_blackhole::external_lock(Session *session __attribute__((unused)),
-                                int lock_type __attribute__((unused)))
+int ha_blackhole::external_lock(Session *, int)
 {
   return(0);
 }
@@ -173,52 +168,45 @@
 }
 
 
-int ha_blackhole::index_read_map(unsigned char * buf __attribute__((unused)),
-                                 const unsigned char * key __attribute__((unused)),
-                                 key_part_map keypart_map  __attribute__((unused)),
-                                 enum ha_rkey_function find_flag __attribute__((unused)))
-{
-  return(HA_ERR_END_OF_FILE);
-}
-
-
-int ha_blackhole::index_read_idx_map(unsigned char * buf __attribute__((unused)),
-                                     uint32_t idx __attribute__((unused)),
-                                     const unsigned char * key __attribute__((unused)),
-                                     key_part_map keypart_map __attribute__((unused)),
-                                     enum ha_rkey_function find_flag __attribute__((unused)))
-{
-  return(HA_ERR_END_OF_FILE);
-}
-
-
-int ha_blackhole::index_read_last_map(unsigned char * buf __attribute__((unused)),
-                                      const unsigned char * key __attribute__((unused)),
-                                      key_part_map keypart_map __attribute__((unused)))
-{
-  return(HA_ERR_END_OF_FILE);
-}
-
-
-int ha_blackhole::index_next(unsigned char * buf __attribute__((unused)))
-{
-  return(HA_ERR_END_OF_FILE);
-}
-
-
-int ha_blackhole::index_prev(unsigned char * buf __attribute__((unused)))
-{
-  return(HA_ERR_END_OF_FILE);
-}
-
-
-int ha_blackhole::index_first(unsigned char * buf __attribute__((unused)))
-{
-  return(HA_ERR_END_OF_FILE);
-}
-
-
-int ha_blackhole::index_last(unsigned char * buf __attribute__((unused)))
+int ha_blackhole::index_read_map(unsigned char *, const unsigned char *,
+                                 key_part_map, enum ha_rkey_function)
+{
+  return(HA_ERR_END_OF_FILE);
+}
+
+
+int ha_blackhole::index_read_idx_map(unsigned char *, uint32_t, const unsigned char *, 
+                                     key_part_map, enum ha_rkey_function)
+{
+  return(HA_ERR_END_OF_FILE);
+}
+
+
+int ha_blackhole::index_read_last_map(unsigned char *, const unsigned char *, key_part_map)
+{
+  return(HA_ERR_END_OF_FILE);
+}
+
+
+int ha_blackhole::index_next(unsigned char *)
+{
+  return(HA_ERR_END_OF_FILE);
+}
+
+
+int ha_blackhole::index_prev(unsigned char *)
+{
+  return(HA_ERR_END_OF_FILE);
+}
+
+
+int ha_blackhole::index_first(unsigned char *)
+{
+  return(HA_ERR_END_OF_FILE);
+}
+
+
+int ha_blackhole::index_last(unsigned char *)
 {
   return(HA_ERR_END_OF_FILE);
 }
@@ -273,8 +261,7 @@
   free((unsigned char*) share);
 }
 
-static unsigned char* blackhole_get_key(st_blackhole_share *share, size_t *length,
-                                bool not_used __attribute__((unused)))
+static unsigned char* blackhole_get_key(st_blackhole_share *share, size_t *length, bool)
 {
   *length= share->table_name_length;
   return (unsigned char*) share->table_name;
@@ -296,7 +283,7 @@
   return 0;
 }
 
-static int blackhole_fini(void *p __attribute__((unused)))
+static int blackhole_fini(void *)
 {
   hash_free(&blackhole_open_tables);
   pthread_mutex_destroy(&blackhole_mutex);

=== modified file 'storage/csv/ha_tina.cc'
--- storage/csv/ha_tina.cc	2008-11-29 08:46:32 +0000
+++ storage/csv/ha_tina.cc	2008-12-05 07:03:50 +0000
@@ -96,8 +96,7 @@
   return ( a->begin > b->begin ? 1 : ( a->begin < b->begin ? -1 : 0 ) );
 }
 
-static unsigned char* tina_get_key(TINA_SHARE *share, size_t *length,
-                          bool not_used __attribute__((unused)))
+static unsigned char* tina_get_key(TINA_SHARE *share, size_t *length, bool)
 {
   *length=share->table_name_length;
   return (unsigned char*) share->table_name;
@@ -118,7 +117,7 @@
   return 0;
 }
 
-static int tina_done_func(void *p __attribute__((unused)))
+static int tina_done_func(void *)
 {
   hash_free(&tina_open_tables);
   pthread_mutex_destroy(&tina_mutex);
@@ -130,8 +129,7 @@
 /*
   Simple lock controls.
 */
-static TINA_SHARE *get_share(const char *table_name,
-                             Table *table __attribute__((unused)))
+static TINA_SHARE *get_share(const char *table_name, Table *)
 {
   TINA_SHARE *share;
   char meta_file_name[FN_REFLEN];
@@ -447,7 +445,7 @@
   Encode a buffer into the quoted format.
 */
 
-int ha_tina::encode_quote(unsigned char *buf __attribute__((unused)))
+int ha_tina::encode_quote(unsigned char *)
 {
   char attribute_buffer[1024];
   String attribute(attribute_buffer, sizeof(attribute_buffer),
@@ -715,8 +713,7 @@
   for CSV engine. For more details see mysys/thr_lock.c
 */
 
-void tina_get_status(void* param,
-                     int concurrent_insert __attribute__((unused)))
+void tina_get_status(void* param, int)
 {
   ha_tina *tina= (ha_tina*) param;
   tina->get_status();
@@ -729,7 +726,7 @@
 }
 
 /* this should exist and return 0 for concurrent insert to work */
-bool tina_check_status(void* param __attribute__((unused)))
+bool tina_check_status(void *)
 {
   return 0;
 }
@@ -784,8 +781,7 @@
   this will not be called for every request. Any sort of positions
   that need to be reset should be kept in the ::extra() call.
 */
-int ha_tina::open(const char *name, int mode __attribute__((unused)),
-                  uint32_t open_options)
+int ha_tina::open(const char *name, int, uint32_t open_options)
 {
   if (!(share= get_share(name, table)))
     return(HA_ERR_OUT_OF_MEM);
@@ -895,8 +891,7 @@
   This will be called in a table scan right before the previous ::rnd_next()
   call.
 */
-int ha_tina::update_row(const unsigned char * old_data __attribute__((unused)),
-                        unsigned char * new_data)
+int ha_tina::update_row(const unsigned char *, unsigned char * new_data)
 {
   int size;
   int rc= -1;
@@ -941,7 +936,7 @@
   The table will then be deleted/positioned based on the ORDER (so RANDOM,
   DESC, ASC).
 */
-int ha_tina::delete_row(const unsigned char * buf __attribute__((unused)))
+int ha_tina::delete_row(const unsigned char *)
 {
   ha_statistic_increment(&SSV::ha_delete_count);
 
@@ -1017,7 +1012,7 @@
 
 */
 
-int ha_tina::rnd_init(bool scan __attribute__((unused)))
+int ha_tina::rnd_init(bool)
 {
   /* set buffer to the beginning of the file */
   if (share->crashed || init_data_file())
@@ -1078,7 +1073,7 @@
   its just a position. Look at the bdb code if you want to see a case
   where something other then a number is stored.
 */
-void ha_tina::position(const unsigned char *record __attribute__((unused)))
+void ha_tina::position(const unsigned char *)
 {
   my_store_ptr(ref, ref_length, current_position);
   return;
@@ -1102,7 +1097,7 @@
   Currently this table handler doesn't implement most of the fields
   really needed. SHOW also makes use of this data
 */
-int ha_tina::info(uint32_t flag __attribute__((unused)))
+int ha_tina::info(uint32_t)
 {
   /* This is a lie, but you don't want the optimizer to see zero or 1 */
   if (!records_is_known && stats.records < 2) 
@@ -1274,8 +1269,7 @@
          rows (after the first bad one) as well.
 */
 
-int ha_tina::repair(Session* session,
-                    HA_CHECK_OPT* check_opt __attribute__((unused)))
+int ha_tina::repair(Session* session, HA_CHECK_OPT *)
 {
   char repaired_fname[FN_REFLEN];
   unsigned char *buf;
@@ -1420,7 +1414,7 @@
   Called by the database to lock the table. Keep in mind that this
   is an internal lock.
 */
-THR_LOCK_DATA **ha_tina::store_lock(Session *session __attribute__((unused)),
+THR_LOCK_DATA **ha_tina::store_lock(Session *,
                                     THR_LOCK_DATA **to,
                                     enum thr_lock_type lock_type)
 {
@@ -1435,8 +1429,7 @@
   this (the database will call ::open() if it needs to).
 */
 
-int ha_tina::create(const char *name, Table *table_arg,
-                    HA_CREATE_INFO *create_info __attribute__((unused)))
+int ha_tina::create(const char *name, Table *table_arg, HA_CREATE_INFO *)
 {
   char name_buff[FN_REFLEN];
   File create_file;
@@ -1472,8 +1465,7 @@
   return(0);
 }
 
-int ha_tina::check(Session* session,
-                   HA_CHECK_OPT* check_opt __attribute__((unused)))
+int ha_tina::check(Session* session, HA_CHECK_OPT *)
 {
   int rc= 0;
   unsigned char *buf;
@@ -1523,8 +1515,7 @@
 }
 
 
-bool ha_tina::check_if_incompatible_data(HA_CREATE_INFO *info __attribute__((unused)),
-                                         uint32_t table_changes __attribute__((unused)))
+bool ha_tina::check_if_incompatible_data(HA_CREATE_INFO *, uint32_t)
 {
   return COMPATIBLE_DATA_YES;
 }

=== modified file 'storage/csv/ha_tina.h'
--- storage/csv/ha_tina.h	2008-11-18 22:12:56 +0000
+++ storage/csv/ha_tina.h	2008-12-05 07:03:50 +0000
@@ -100,7 +100,7 @@
       delete file_buff;
   }
   const char *table_type(void) const { return "CSV"; }
-  const char *index_type(uint32_t inx __attribute__((unused)))
+  const char *index_type(uint32_t)
   { return "NONE"; }
   const char **bas_ext() const;
   uint64_t table_flags() const
@@ -108,9 +108,7 @@
     return (HA_NO_TRANSACTIONS | HA_REC_NOT_IN_SEQ | HA_NO_AUTO_INCREMENT |
             HA_BINLOG_ROW_CAPABLE | HA_BINLOG_STMT_CAPABLE);
   }
-  uint32_t index_flags(uint32_t idx __attribute__((unused)),
-                       uint32_t part __attribute__((unused)),
-                       bool all_parts __attribute__((unused))) const
+  uint32_t index_flags(uint32_t, uint32_t, bool) const
   {
     /*
       We will never have indexes so this will never be called(AKA we return

=== modified file 'storage/heap/ha_heap.cc'
--- storage/heap/ha_heap.cc	2008-11-22 02:53:34 +0000
+++ storage/heap/ha_heap.cc	2008-12-05 07:03:50 +0000
@@ -377,7 +377,7 @@
   return error;
 }
 
-void ha_heap::position(const unsigned char *record __attribute__((unused)))
+void ha_heap::position(const unsigned char *)
 {
   *(HEAP_PTR*) ref= heap_position(file);	// Ref is aligned
 }
@@ -442,8 +442,7 @@
   return 0;
 }
 
-int ha_heap::external_lock(Session *session __attribute__((unused)),
-                           int lock_type __attribute__((unused)))
+int ha_heap::external_lock(Session *, int)
 {
   return 0;					// No external locking
 }
@@ -556,7 +555,7 @@
   return heap_indexes_are_disabled(file);
 }
 
-THR_LOCK_DATA **ha_heap::store_lock(Session *session __attribute__((unused)),
+THR_LOCK_DATA **ha_heap::store_lock(Session *,
                                     THR_LOCK_DATA **to,
                                     enum thr_lock_type lock_type)
 {
@@ -577,7 +576,7 @@
 }
 
 
-void ha_heap::drop_table(const char *name __attribute__((unused)))
+void ha_heap::drop_table(const char *)
 {
   file->s->delete_on_close= 1;
   close();
@@ -811,9 +810,7 @@
   }
 }
 
-void ha_heap::get_auto_increment(uint64_t offset __attribute__((unused)),
-                                 uint64_t increment __attribute__((unused)),
-                                 uint64_t nb_desired_values __attribute__((unused)),
+void ha_heap::get_auto_increment(uint64_t, uint64_t, uint64_t,
                                  uint64_t *first_value,
                                  uint64_t *nb_reserved_values)
 {

=== modified file 'storage/heap/ha_heap.h'
--- storage/heap/ha_heap.h	2008-11-18 22:12:56 +0000
+++ storage/heap/ha_heap.h	2008-12-05 07:03:50 +0000
@@ -57,8 +57,7 @@
   uint32_t max_supported_key_part_length() const { return MAX_KEY_LENGTH; }
   double scan_time()
   { return (double) (stats.records+stats.deleted) / 20.0+10; }
-  double read_time(uint32_t index __attribute__((unused)),
-                   uint32_t ranges __attribute__((unused)),
+  double read_time(uint32_t, uint32_t,
                    ha_rows rows)
   { return (double) rows /  20.0+1; }
 

=== modified file 'storage/heap/hp_hash.c'
--- storage/heap/hp_hash.c	2008-11-30 08:20:03 +0000
+++ storage/heap/hp_hash.c	2008-12-05 07:03:50 +0000
@@ -841,9 +841,9 @@
 }
 
 
-uint32_t hp_rb_key_length(HP_KEYDEF *keydef, 
-		      const unsigned char *key __attribute__((unused)))
+uint32_t hp_rb_key_length(HP_KEYDEF *keydef, const unsigned char *not_used)
 {
+  (void)not_used;
   return keydef->length;
 }
 

=== modified file 'storage/innobase/drizzle/ha_innodb.cc'
--- storage/innobase/drizzle/ha_innodb.cc	2008-12-05 00:20:09 +0000
+++ storage/innobase/drizzle/ha_innodb.cc	2008-12-05 07:03:50 +0000
@@ -192,8 +192,7 @@
 bool nw_panic = FALSE;
 #endif
 
-static unsigned char* innobase_get_key(INNOBASE_SHARE *share, size_t *length,
-	my_bool not_used __attribute__((unused)));
+static unsigned char* innobase_get_key(INNOBASE_SHARE *share, size_t *length, my_bool);
 static INNOBASE_SHARE *get_share(const char *table_name);
 static void free_share(INNOBASE_SHARE *share);
 static int innobase_close_connection(handlerton *hton, Session* session);
@@ -658,7 +657,7 @@
 innobase_release_temporary_latches(
 /*===============================*/
 				/* out: 0 */
-        handlerton*	hton __attribute__((unused)),	/* in: handlerton */
+        handlerton *hton,	/* in: handlerton */
 	Session*		session)	/* in: MySQL thread */
 {
 	trx_t*	trx;
@@ -855,9 +854,9 @@
 void
 innobase_mysql_print_thd(
 /*=====================*/
-	FILE*	f,		/* in: output stream */
-	void*	input_session __attribute__((unused)),	/* in: pointer to a MySQL Session object */
-	uint	max_query_len __attribute__((unused)))	/* in: max query length to print, or 0 to
+	FILE *	f,		/* in: output stream */
+	void *,	/* in: pointer to a MySQL Session object */
+	uint)	/* in: max query length to print, or 0 to
 				   use the default max length */
 {
 	fputs("Unknown thread accessing table", f);
@@ -8001,8 +8000,7 @@
  locking.
 ****************************************************************************/
 
-static unsigned char* innobase_get_key(INNOBASE_SHARE* share, size_t *length,
-	my_bool not_used __attribute__((unused)))
+static unsigned char* innobase_get_key(INNOBASE_SHARE* share, size_t *length, my_bool)
 {
 	*length=share->table_name_length;
 

